Name:           kordophone
Version:        1.0.1
Release:        1%{?dist}
Summary:        GTK4/Libadwaita client for Kordophone

License:        GPL
URL:            https://code.buzzert.dev/buzzert/Kordophone
Source0:        https://code.buzzert.dev/buzzert/Kordophone/archive/master.tar.gz

BuildRequires:  meson >= 0.56.0
BuildRequires:  vala
BuildRequires:  gcc
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(libadwaita-1)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(libsecret-1)

Requires:       gtk4
Requires:       libadwaita
Requires:       glib2
Requires:       libgee
Requires:       libsecret
Requires:       kordophoned >= 1.0.0

%description
A GTK4/Libadwaita Linux Client for the Kordophone client daemon.

%build
pwd
cd gtk
%meson
%meson_build

%install
%meson_install

%files
%{_bindir}/kordophone
%{_datadir}/applications/net.buzzert.kordophone.desktop
%{_datadir}/icons/

%changelog
* Fri Aug 8 2025 James Magahern <james@magahern.com>
- Updated rpmspec 

